Bug 30654 - Kernel 2.2.18: Cannot export mounted ncp file systems
Summary: Kernel 2.2.18: Cannot export mounted ncp file systems
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 16:19 UTC by martin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:41:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description martin 2001-03-05 16:19:56 UTC
The following code at line 275 in fs/nfsd/export.c prevents ncp file
systems from being rexported. Maybe the old --re-export option needs
adding?

	if (!(inode->i_sb->s_type->fs_flags & FS_REQUIRES_DEV) ||
	    inode->i_sb->s_op->read_inode == NULL) {
		dprintk("exp_export: export of invalid fs type.\n");
		goto finish;
	}

(Its the FS_REQUIRES_DEV that does it - ncpfs has this flag set to 0).

For now I've just commented it out.

Comment 1 Elliot Lee 2004-08-23 19:41:54 UTC
Closing bugs for old packages that don't have a maintainer.


Note You need to log in before you can comment on or make changes to this bug.